<?php

/**
 * Description of Checkup
 *
 * @author ain
 */
class Challenge extends CFormModel {

	public $duration;

	public function rules() {
		return array(
			array('duration', 'safe'),
			array('duration', 'numerical', 'min' => 0, 'integerOnly' => true, 'on' => 'manual')
		);
	}

	public function attributeLabels() {
		return array(
			'duration' => 'Kestus',
		);
	}

	public function getForm() {
		return new CForm(array(
			'showErrorSummary' => true,
			'attributes' => array('id' => 'keyWizard'),
			'elements' => array(
				'duration' => array(
					'type' => 'hidden'
				),
			),
			'buttons' => array(
				'submit' => array(
					'type' => 'submit',
					'label' => 'Edasi',
					'disabled' => 'disabled',
					'id' => 'challengeForwardButton'
				)
			)
		), $this);

	}
}
